gdebi 0.9.5.7+nmu1ubuntu3 broke being able to open .debs on default Ubuntu desktop

Bug #1719746 reported by Jeremy Bicha on 2017-09-26
38
This bug affects 9 people
Affects Status Importance Assigned to Milestone
gdebi (Ubuntu)
High
Unassigned
Nominated for Bionic by Rik Mills
Artful
High
Unassigned

Bug Description

Jeremy Bicha (jbicha) on 2017-09-26
description: updated
Rik Mills (rikmills) wrote :

I see the same as shown in the video in Firefox.

i.e. previously you could click a link to a .deb file, use the Firefox open with dialog to select 'other', and you would be able to find gdebi in the 'recommended' or 'view all' applications. With this update, gdebi is not there and cannot be found in any way.

Downgrading to 0.9.5.7+nmu1ubuntu2 brings gdebi back into the list of available apps.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gdebi (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) on 2017-11-11
Changed in gdebi (Ubuntu Artful):
importance: Undecided → High
status: New → Confirmed
ajgreeny (ajg-charlbury) wrote :

I have never used the gdebi/firefox method that is talked about but I do use gdebi to install packages that are available only manually such as plexmediaserver.

It can still be used by opening gdebi first from the "Activities" menu top left then using "File -> Open" menu item, but I can not find it after a right click on a .deb package ->Open with menu so there is no way to set it as the default application to open .deb packages.

ajgreeny (ajg-charlbury) wrote :

A ubuntuforums thread about this problem https://ubuntuforums.org/showthread.php?t=2377258&p=13710654#post13710654 has a solution or workaround of simply adding %U to the Exec= line of the gdebi.desktop file so it reads "Exec=gdebi-gtk %U".

This has allowed use of gdebi from the file manager either from a right click or by changing the properties "Open with" tab in file properties.

I have requested a link for the mac4man solution mentioned in the ubuntuforum post and will add it here once I have it.

waqar (waqarakram0306) wrote :

install gdebi via 'synaptic package manager' to make it working,not working if installing via software center though...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdebi - 0.9.5.7+nmu2

---------------
gdebi (0.9.5.7+nmu2) unstable; urgency=medium

  [ Julien Lavergne ]
  * Add a gdebi-gtk-pkexec executable to launch without gksu (LP: #189617).
  * debian/control:
   - Make gdebi depends on policykit-1 | gksu.

  [ Simon Quigley ]
  * Finish the policykit port:
    - gdebi-gtk-pkexec isn't needed, root access is only needed for the
      package installation and removal.
    - Install the policykit file (create debian/gdebi-gtk.install).
    - Modify the gksu commands in GDebi/GDebiGtk.py to call pksu instead.
    - Drop the dependency on gksu and only depend on policykit-1.
    - Thanks for the initial work, Julien!

  [ Jeremy Bicha ]
  * Upload to unstable (LP: #1719746)
  * Stop building gdebi-kde since gdebi-kde is the last package in Testing
    depending on the unmaintained pykde4 (Closes: #864963)

 -- Jeremy Bicha <email address hidden> Sun, 31 Dec 2017 11:00:13 -0500

Changed in gdebi (Ubuntu):
status: Confirmed → Fix Released
Jeremy Bicha (jbicha) on 2018-01-17
Changed in gdebi (Ubuntu Artful):
status: Confirmed → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers